GarmanKlassAbstract Class Referenceabstract

Garman-Klass volatility model. More...

`#include <ql/models/volatility/garmanklass.hpp>`

Inherits LocalVolatilityEstimator< T >.

Inherited by GarmanKlassSigma4, GarmanKlassSigma5, GarmanKlassSimpleSigma, and ParkinsonSigma.

## Public Member Functions

| GarmanKlassAbstract (Real y)
TimeSeries< Volatility > | calculate (const TimeSeries< IntervalPrice > &quoteSeries)

## Protected Member Functions

virtual Real | calculatePoint (const IntervalPrice &p)=0

## Protected Attributes

Real | yearFraction_

## Detailed Description

Garman-Klass volatility model.

This class implements a concrete volatility model based on high low formulas using the method of Garman and Klass in their paper "On the Estimation of the Security Price from Historical Data" at http://www.fea.com/resources/pdf/a_estimation_of_security_price.pdf

Volatilities are assumed to be expressed on an annual basis.